Bug 835918 - [abrt] xchat-gnome-0.26.2-6.git40c5bf988.fc17: g_slist_remove: Process /usr/bin/xchat-gnome was killed by signal 11 (SIGSEGV)
[abrt] xchat-gnome-0.26.2-6.git40c5bf988.fc17: g_slist_remove: Process /usr/b...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xchat-gnome (Show other bugs)
17
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bill Nottingham
Fedora Extras Quality Assurance
abrt_hash:cd12fb7fb2c53d377ae367405f8...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-27 10:24 EDT by Daniel Rindt
Modified: 2014-03-16 23:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 01:43:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: dso_list (10.94 KB, text/plain)
2012-06-27 10:24 EDT, Daniel Rindt
no flags Details
File: maps (47.86 KB, text/plain)
2012-06-27 10:24 EDT, Daniel Rindt
no flags Details
File: backtrace (20.44 KB, text/plain)
2012-06-27 10:24 EDT, Daniel Rindt
no flags Details

  None (edit)
Description Daniel Rindt 2012-06-27 10:24:45 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        xchat-gnome
crash_function: g_slist_remove
executable:     /usr/bin/xchat-gnome
kernel:         3.4.0-1.fc17.x86_64
pid:            28861
pwd:            /home/drindt
time:           Fr 15 Jun 2012 15:56:50 CEST
uid:            1000
username:       drindt

backtrace:      Text file, 20932 bytes
dso_list:       Text file, 11204 bytes
maps:           Text file, 49006 bytes

build_ids:
:9d49f2f604fdc7a787f63c16cc08353956f2fd41
:5f38673817f5af84b3d0c900dc8655326560a140
:a8efbe1d263ad42afae74bc027eee88eaa754f55
:45b9c1436f78151fc2e3f8ab1189d31532b2f2af
:27b3fcec6b172b710e05eac89090e26760effab4
:7716bc5c1738194dad6ec6679d05ae3782139288
:1a262290abc47e43b15d179c909c389831958b90
:1b7abd5c8129b91c0ca4f0f0812e61660236fd38
:e2f8ba3db2c86456528fe1f09829c62263d0fdee
:bc7265d20c6beef919297c89fbf11ba82149b2b9
:e48810bd9d6ad9358cc2aff3d0c8532485f59b90
:51df4cbbc11bdab5dfc33ed3fd5782b8a5c7602d
:a4ec59d7fc9c453fb4287d7ebc5fcf6579792e65
:8f7c190397d7c1f617e66f18f759714662b60367
:67792c148d2b8f13f6732c9367e926c26d7376c5
:63651cdc0224824a9c9324c77c3b5887378e871d
:c4ec0971b2dcee71aaf8374975474054245fea00
:e96cfe2dc72ac39c660dd303b4c00d7a89ca4563
:822e9b3523e8312240f41a25722d539bc77ed436
:6e5d5649c704cd3a34cf145ccd2d08994f1e83ff
:f4d479614b09460085428bbe7d53df454d0d39e5
:d804f8ee47797da9213a92f00cd095ecada8d79f
:6071867f3ae1e577e61cd319fe4e3b0e93aa634a
:4b044fe80e4c1b69986abc4b160c303048005d4e
:5b9e2bd88a09975ecedf44c38eb10d4e4b3e62d6
:ac943af4aaadceb5deb00b73d39c85444512c747
:130699b76d99d57ef46beeed9d693005f3c8917f
:b6d75088f555d197be1476cb1c580640826ae029
:5b4f3d35b4612be98f2bbb635b3eabf0ee7e437d
:d8d393649ae4da146ebc8812db58514f245f08a9
:214f93d7c66b541d9f493dcc1d361cb46def58c2
:e2e9f334ea49585279caf0b48f19960735885762
:946e719538040a4146198cef8594f370c4159051
:87712be648d2d43ea4cd002fe7a859df636f1e13
:253afe744466fe7580bbb6040de6183dba9e2b02
:f64b7319b84d426ed547084bdb2577f4f596c18f
:99c23b21038c62b0628b93610fb54c5900c40ffd
:5b0ef4adb3be2f980643de2a2f9e43422958832f
:3d60535f052babb998bae4807bc992c5d15df5c4
:396fda5abd0de2132396c4a3e94f7a7173bc26e7
:46bb3fa8cc22f53c1cb0461de27b3ab21912205e
:5be9c729cee3f221a7e409b4b4e89c9ceb37395f
:6ffd106c467fc2bbbe04c9509d66f7d97d2a751f
:ce246b3297de0d233ac2c5f9e50061e2b13a330c
:c2f5ae8bd64df0fc996cf96b95525a8f8fb28fd2
:80dcf30321dbc04511d9cbf399a83b8f3dc75d5d
:271a2d91cc3308783ff4a7ab45049f31aa42d8b7
:0eeac854ab0b56d18d126ca7056136b4e63abed7
:07f8899c866f1228f722c827c0ac3632bf6d5214
:ec87953f655fbcbcbe71b591db5451e56739576e
:2d920fc18d5d62c399484534249b104e12049777
:faca16f15d87b83d2947a386e319b02f724dcbb5
:091927b7a315243a2ff0383dfca1fd2c665405bf
:0e1267a4d81de05f053eeed7f2f61fb46cda9e7c
:31243d0d107bba586a96433c76c87a26db1e826c
:f4f9ce91c43285df84177f9684a3e7f190a0aae1
:c028bd4d4e5f5ae122f2300193d9a08f103da6f7
:5d08d928a5f0b7efa48e4874b6dc4337d0a5ffb1
:b8bfc491895389962d926fdc99cbfbac571f2cf0
:f0744af1bb8fe6f60d724de6aad6d6c63006677e
:404cbecd24d186758ed474b345313da28b2990fa
:3f0991d9a4679b6bdd8a78ab2d05ecf4cc995651
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2
:1a0c09f270adf8398df4362ce0acfafc1f970982
:9dc7d977acebd2e8abf2d55bf2738ea2d89f7480
:7c35310fc506498c612d5d982ab03becc4b4817c
:d32cbeacfd9f41e3cd29b697dd111f44a2d9c127
:c61e487cc8906c4f1bd85b39a4d751b414e423a0
:617e70e4105dfaa44b8d1f53b914e37eb5886ceb
:1d4df97fa6024b097b634a272447243c95c26d85
:247132297f287226a24c12e683292f5c94013066
:8c1105fdca80308f44d545b954a7dcd518f98db5
:142c4a09083a5b2a763b8303aaee51ee1b363cc9
:dec0de92024bee74c75c04bde4c54c097fe68ae8
:ea125d56f5cd2b1228b110d7a069104cf0399b10
:b277af36744327e3d58eae76bcdaadcca71a28c6
:e91010b497ec024178c36f4365b21f668bada0ca
:5b3b844c8bf4cfac9e024beabd790a24d516db08
:127f8958b602715234a02b88adb08afd9e34c203
:508cf66f72e70054a41215f80ed2385c6bb80030
:84d12a2a09f58c1722e6cb2e3ad46be949dce2f8
:516204cfc31148538d56b21e2f1b945ed50127d4
:a553a7e9625a224a8f39286909adc17787ad51bd
:ad0818a36ea58b45bb6646a229105a54f86e25a0
:73777e822e00ca152ffca281ab0ace0cb498ec48
:8875c445a3903173d553f87ffbabcdef8b55386e
:4d09d82785dab5f95c01b69bc0785145a5954d30
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202
:c24fd7404668fdbb57aec685a0f63cdd8a289d29
:54a5cc118d928470da13565de8592b664a9868e0
:5dd234206476b0387cd251598aa72a2c95c763c5
:a5cf7008c28585406297cf76ce11e2e554e5a7b4
:5bf8427ddeff24a2bd36962f68e6af6ffe14970f
:235194aeb6a1e48dd878467a5912b1a6ce652de7
:5350b5972464f66f404861dc50225a114a2a5e7e

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/drindt/2

core_backtrace:
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x625a9 g_slist_remove libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x23f781 gtk_tree_row_reference_free libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x261e47 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x2660b0 - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14db1c - libgtk-x11-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0xf664 g_closure_invoke libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x20450 - libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x282a7 g_signal_emit_valist libgobject-2.0.so.0 -
:31243d0d107bba586a96433c76c87a26db1e826c 0x287c2 g_signal_emit libgobject-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x28156e - libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14b8e4 gtk_propagate_event libgtk-x11-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14bc4b gtk_main_do_event libgtk-x11-2.0.so.0 -
:d8d393649ae4da146ebc8812db58514f245f08a9 0x616fc - libgdk-x11-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x476e5 g_main_context_dispatch libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47a18 - libglib-2.0.so.0 -
:e5945f7dae3fc83ad499da1ea5a464bfa0e68202 0x47e12 g_main_loop_run libglib-2.0.so.0 -
:8c1105fdca80308f44d545b954a7dcd518f98db5 0x14ac27 gtk_main libgtk-x11-2.0.so.0 -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x23389 fe_main [exe] -
:7e1f4f04da252a0a4627103c880ce7ec991ba8f2 0x1d77a main [exe] -

environ:
:XDG_VTNR=1
:XDG_SESSION_ID=2
:HOSTNAME=localhost.localdomain
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:ANDROID_HOME=/home/drindt/.bin/android-sdk-linux
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/drindt/keyring-qjfVUe
:QT_GRAPHICSSYSTEM_CHECKED=1
:IMSETTINGS_MODULE=none
:USER=drindt
:USERNAME=drindt
:MAIL=/var/spool/mail/drindt
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/drindt/.bin/android-sdk-linux/tools:/home/drindt/.bin/android-sdk-linux/platform-tools:/home/drindt/.bin/spring-roo-1.2.1.RELEASE/bin:/home/drindt/.local/bin:/home/drindt/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/drindt
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1127
:LANG=de_DE.utf8
:GDM_LANG=de_DE.utf8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/drindt
:SHLVL=1
:LOGNAME=drindt
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-Ia6x2wYbQn,guid=dc8b859578389deb9f43104700000015
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:ANDROID_NDK_HOME=/home/drindt/.bin/android-ndk-r8
:WINDOWPATH=1
:XDG_RUNTIME_DIR=/run/user/drindt
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-drindt-c2Qnmp/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1132,unix/unix:/tmp/.ICE-unix/1132
:SSH_AUTH_SOCK=/run/user/drindt/keyring-qjfVUe/ssh
:GPG_AGENT_INFO=/run/user/drindt/keyring-qjfVUe/gpg:0:1
:LC_TIME=de_DE.utf8
:LC_NUMERIC=de_DE.utf8
:LC_MONETARY=de_DE.utf8
:LC_MEASUREMENT=de_DE.utf8
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-xchat-gnome.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=28861
:DESKTOP_STARTUP_ID=gnome-shell-1350-localhost.localdomain-xchat-gnome-20_TIME20353332

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 29730                processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       29730                29730                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:1:/home/drindt/.xsession-errors
:2:/home/drindt/.xsession-errors
:3:socket:[189392]
:4:anon_inode:[eventfd]
:5:socket:[189395]
:6:socket:[187140]
:7:socket:[187149]
:8:anon_inode:inotify
:9:socket:[189409]
:10:/home/drindt/.xchat-gnome/xchatlogs/Codehaus-codehaus.log
:11:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-freenode.log
:12:socket:[189412]
:13:/home/drindt/.xchat-gnome/xchatlogs/Codehaus-#maven.log
:14:/home/drindt/.xchat-gnome/scrollback/Codehaus/#maven.txt
:15:/home/drindt/.xchat-gnome/xchatlogs/Codehaus-#codehaus.log
:16:socket:[187157]
:17:/home/drindt/.xchat-gnome/scrollback/Codehaus/#codehaus.txt
:18:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#mythtv-users.log
:19:/home/drindt/.xchat-gnome/scrollback/FreeNode/#mythtv-users.txt
:20:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#hibernate.log
:21:/home/drindt/.xchat-gnome/scrollback/FreeNode/#hibernate.txt
:22:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#gentoo-anfaenger.log
:23:/home/drindt/.xchat-gnome/scrollback/FreeNode/#gentoo-anfaenger.txt
:24:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#svn.log
:25:/home/drindt/.xchat-gnome/scrollback/FreeNode/#svn.txt
:26:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#struts.log
:27:/home/drindt/.xchat-gnome/scrollback/FreeNode/#struts.txt
:28:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#centos-unregistered.log
:29:/home/drindt/.xchat-gnome/scrollback/FreeNode/#centos-unregistered.txt
:30:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#eclipse.log
:31:/home/drindt/.xchat-gnome/scrollback/FreeNode/#eclipse.txt
:32:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#tomcat.log
:33:/home/drindt/.xchat-gnome/scrollback/FreeNode/#tomcat.txt
:34:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#maven.log
:35:/home/drindt/.xchat-gnome/scrollback/FreeNode/#maven.txt
:36:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#regex.log
:37:/home/drindt/.xchat-gnome/scrollback/FreeNode/#regex.txt
:38:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#httpd.log
:39:/home/drindt/.xchat-gnome/scrollback/FreeNode/#httpd.txt
:40:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#fedora-unregistered.log
:41:/home/drindt/.xchat-gnome/scrollback/FreeNode/#fedora-unregistered.txt
:42:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#fedora-de.log
:43:/home/drindt/.xchat-gnome/scrollback/FreeNode/#fedora-de.txt
:44:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#fedora-java.log
:45:/home/drindt/.xchat-gnome/scrollback/FreeNode/#fedora-java.txt
:46:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#samba.log
:47:/home/drindt/.xchat-gnome/scrollback/FreeNode/#samba.txt
:48:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#vmware.log
:49:/home/drindt/.xchat-gnome/scrollback/FreeNode/#vmware.txt
:50:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#android-dev.log
:51:/home/drindt/.xchat-gnome/scrollback/FreeNode/#android-dev.txt
:52:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-##aws.log
:53:/home/drindt/.xchat-gnome/scrollback/FreeNode/##aws.txt
:54:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#mythtv-de.log
:55:/home/drindt/.xchat-gnome/scrollback/FreeNode/#mythtv-de.txt
:56:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#openstreetmap.log
:57:/home/drindt/.xchat-gnome/scrollback/FreeNode/#openstreetmap.txt
:58:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#opencaching.de.log
:59:/home/drindt/.xchat-gnome/scrollback/FreeNode/#opencaching.de.txt
:60:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#mythdroid.log
:61:/home/drindt/.xchat-gnome/scrollback/FreeNode/#mythdroid.txt
:62:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-#v4l.log
:63:/home/drindt/.xchat-gnome/scrollback/FreeNode/#v4l.txt
:64:/home/drindt/.xchat-gnome/xchatlogs/FreeNode-##linux.log
:65:/home/drindt/.xchat-gnome/scrollback/FreeNode/##linux.txt
:66:socket:[190501]

var_log_messages:
:Jun 15 15:40:59 localhost yum[27815]: Installed: xchat-gnome-0.26.2-6.git40c5bf988.fc17.x86_64
:Jun 15 15:56:50 localhost kernel: [20489.023556] xchat-gnome[28861] general protection ip:35bee625a9 sp:7fffdcaef120 error:0 in libglib-2.0.so.0.3200.3[35bee00000+11d000]
:Jun 15 15:56:50 localhost abrt[29071]: Saved core dump of pid 28861 (/usr/bin/xchat-gnome) to /var/spool/abrt/ccpp-2012-06-15-15:56:50-28861 (85053440 bytes)
Comment 1 Daniel Rindt 2012-06-27 10:24:49 EDT
Created attachment 594793 [details]
File: dso_list
Comment 2 Daniel Rindt 2012-06-27 10:24:51 EDT
Created attachment 594794 [details]
File: maps
Comment 3 Daniel Rindt 2012-06-27 10:24:53 EDT
Created attachment 594795 [details]
File: backtrace
Comment 4 Fedora End Of Life 2013-07-03 21:21:57 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Fedora End Of Life 2013-08-01 01:43:13 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.